<?php

namespace EventPortal\Domain\Field\Actions;

use EventPortal\Domain\Field\Models\Field;
use EventPortal\Domain\Response\Models\Response;
use Illuminate\Database\Eloquent\Collection;

class DeleteResponses
{
    public function execute(Field $model): void
    {
        $this->getResponses($model)->each(function ($response): void {
            $response->delete();
        });
    }

    private function getResponses(Field $model): Collection
    {
        return Response::whereFieldId($model->id)->get();
    }
}
