<?php

namespace EventPortal\Domain\Util;

use EventPortal\Domain\Field\Models\Field;
use Illuminate\Support\Arr;

class CombinedValidation
{
    /**
     * @param array|\EventPortal\Concerns\HasFields $field
     */
    public static function get($field, string $action): ?array
    {
        $action = strtolower($action);

        if ($field instanceof Field) {
            $primaryValidation = $field->data->get('validation');
            $secondaryValidation = $field->data->get("{$action}Validation");
        }

        if (is_array($field)) {
            $primaryValidation = Arr::get($field, 'validation');
            $secondaryValidation = Arr::get($field, "{$action}Validation");
        }

        $rules = array_merge(
            $primaryValidation ?? [],
            $secondaryValidation ?? [],
        );

        $uniqueRules = array_unique($rules);

        if ($uniqueRules === []) {
            return null;
        }

        return $uniqueRules;
    }
}
