<?php

namespace EventPortal\Tests\Unit\Models;

use EventPortal\Domain\Response\Models\Response;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;

class ResponseTest extends TestCase
{
    use DatabaseMigrations;

    /** @test **/
    public function can_get_value()
    {
        $response = factory(Response::class)->create();
        $response->data->set('value', 'Hello World!');
        $response->save();

        $this->assertEquals('Hello World!', $response->value);
    }

    /** @test **/
    public function can_set_value()
    {
        $response = factory(Response::class)->create();
        $response->value = 'Hello World!';
        $response->save();

        $this->assertEquals('Hello World!', $response->value);
    }
}
